

<%@ page import="es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE" %>

<%@ page import="q02b.exe.reports.beans.Q02bInformesBean"%>

<%@ page import="q02b.exe.comun.Q02bAutenticador"%>

<!--llamo al bean correspondiente -->

  

<%



     response.setContentType("application/vnd.ms-excel");

     response.setHeader("Content-Disposition", "attachment; filename=informeExcel.xls" );

    

    Q02bInformesBean infBean = new Q02bInformesBean();

    Q02bAutenticador aut = new Q02bAutenticador();

    Q70ContextoEJIE q70contextoejie = (Q70ContextoEJIE)request.getSession().getAttribute("contexto");

    aut.setIdioma((String)q70contextoejie.get("idioma"));

    aut.setUser((String)q70contextoejie.get("user"));

    infBean.setAutenticador(aut);  

  

    String codInf 	= request.getParameter("codInforme");

    String addWhere = request.getParameter("aditional");

    String pef 		= request.getParameter("prefijo");  	

 

    java.io.ByteArrayOutputStream miByteArray= infBean.generarInformeGenerico(codInf,addWhere);

	String texto = miByteArray.toString("ISO-8859-1");

	out.clearBuffer();	

	out.println(texto);	

%>